FROM python:3.8-slim-bullseye

ENV DJANGO_SUPERUSER_USERNAME=admin
ENV DJANGO_SUPERUSER_EMAIL=admin@admin.com
ENV DJANGO_SUPERUSER_PASSWORD=admin

WORKDIR /app

RUN apt update && \
    apt install -y --no-install-recommends \
        gdal-bin \
        libxml2 libxml2-dev gettext \
        libxslt1-dev libjpeg-dev libpng-dev libpq-dev libgdal-dev \
        software-properties-common g++ \
        zlib1g-dev libgeos-dev libproj-dev \
        sqlite3 spatialite-bin libsqlite3-mod-spatialite && \
    apt clean

COPY ./requirements.txt /app/requirements.txt

RUN pip install -U --no-cache-dir -r requirements.txt

COPY . /app
